Package org.eclipse.core.commands

# Class NotHandledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.commands.common.CommandException
org.eclipse.core.commands.NotHandledException

All Implemented Interfaces:
  `Serializable`

public final class NotHandledException extends CommandException
Signals that an attempt was made to access the properties of an unhandled object.

This class is not intended to be extended by clients.

Since:
  3.1
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NotHandledException(String s)`
Creates a new instance of this class with the specified detail message.

## Method Summary

### Methods inherited from class org.eclipse.core.commands.common.CommandException

`getCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotHandledException

public NotHandledException(String s)
Creates a new instance of this class with the specified detail message.

Parameters:
  `s` - the detail message.